| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
JemallocProfileSvc Class Reference

Service that enables the Jemalloc profiler on demand. More...

`#include <jemalloc/JemallocProfileSvc.h>`

Inheritance diagram for JemallocProfileSvc:
[legend]
Collaboration diagram for JemallocProfileSvc:
[legend]

## Public Member Functions
| JemallocProfileSvc (const std::string &name, ISvcLocator *svcLoc)
| Standard constructor. More...
StatusCode | initialize ()
| Initializer. More...
StatusCode | finalize ()
| Finalizer. More...
void | handle (const Incident &incident)
| Destructor. More...
virtual | ~JemallocProfileSvc ()
Public Member Functions inherited from extends< Service, IIncidentListener >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
StatusCode | setProperty (const Property &p) override
StatusCode | setProperty (const std::string &s) override
StatusCode | setProperty (const std::string &n, const std::string &v) override
StatusCode | getProperty (Property *p) const override
const Property & | getProperty (const std::string &name) const override
StatusCode | getProperty (const std::string &n, std::string &v) const override
const std::vector< Property * > & | getProperties () const override
bool | hasProperty (const std::string &name) const override
template<class TYPE >
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
Property * | declareProperty (const std::string &name, T &property, const std::string &doc="none") const
| Declare the named property. More...
Property * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="") const
| Declare remote named properties. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces...>
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Protected Member Functions
void | handleBegin ()
void | handleEnd ()
void | startProfiling ()
| Utility method to start profiling with jemalloc. More...
void | stopProfiling ()
| Utility method to stop profiling with jemalloc. More...
void | dumpProfile ()
| Utility method to dump profile with jemalloc. More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...

## Private Attributes
int | m_nStartFromEvent
| Start, End event and counter. More...
int | m_nStopAtEvent
int | m_dumpPeriod
int | m_eventNumber
std::vector< std::string > | m_startFromIncidents
std::vector< std::string > | m_stopAtIncidents
bool | m_hasStartIncident
bool | m_hasStopIncident
bool | m_profiling
| Status of the profiling. More...
SmartIF< IIncidentSvc > | m_incidentSvc
| Pointer to the incident service. More...

## Additional Inherited Members
Public Types inherited from extends< Service, IIncidentListener >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces...>
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces...>
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids...>::type
| take union of the ext_iids of all Interfaces... More...
Protected Attributes inherited from Service
IntegerProperty | m_outputLevel = MSG::NIL
| Service output level. More...
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...

## Detailed Description

Service that enables the Jemalloc profiler on demand.

By default, the profiling is diabled, the user needs to set incidents at which to start/stop the profiling, or specify incidents for that purpose.

Author
  Ben Couturier

Date
  2016-01-12

Definition at line 18 of file JemallocProfileSvc.h.

## Constructor & Destructor Documentation

JemallocProfileSvc::JemallocProfileSvc | ( | const std::string & | name,
|  | ISvcLocator * | svcLoc
| ) |  |

Standard constructor.

Definition at line 28 of file JemallocProfileSvc.cpp.

28 :
29 base_class(name, svcLoc), m_eventNumber(0), m_startFromIncidents({}),
30 m_stopAtIncidents({}), m_hasStartIncident(false), m_hasStopIncident(false),
31 m_profiling(false) {
32
33 declareProperty("StartFromEventN", m_nStartFromEvent = 0,
34 "After what event we start profiling. "
35 );
36
37 declareProperty("StartFromIncidents", m_startFromIncidents = {},
38 "Incidents that trigger profiling start"
39 );
40
41 declareProperty("StopAtEventN", m_nStopAtEvent = 0,
42 "After what event we stop profiling. "
43 "If 0 than we also profile finalization stage. Default = 0."
44 );
45
46 declareProperty("StopAtIncidents", m_stopAtIncidents = {},
47 "Incidents that trigger profiling start"
48 );
49
50 declareProperty("DumpPeriod", m_dumpPeriod = 100,
51 "Period for dumping head to a file. Default=100"
52 );
53
54 }
JemallocProfileSvc::m_stopAtIncidents
std::vector< std::string > m_stopAtIncidents
Definition: JemallocProfileSvc.h:52
JemallocProfileSvc::m_hasStopIncident
bool m_hasStopIncident
Definition: JemallocProfileSvc.h:54
extends< Service, IIncidentListener >::base_class
extends base_class
Typedef to this class.
Definition: extends.h:14
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Definition: JemallocProfileSvc.h:50
JemallocProfileSvc::m_nStopAtEvent
int m_nStopAtEvent
Definition: JemallocProfileSvc.h:48
JemallocProfileSvc::m_hasStartIncident
bool m_hasStartIncident
Definition: JemallocProfileSvc.h:53
JemallocProfileSvc::m_dumpPeriod
int m_dumpPeriod
Definition: JemallocProfileSvc.h:49
JemallocProfileSvc::m_startFromIncidents
std::vector< std::string > m_startFromIncidents
Definition: JemallocProfileSvc.h:51
Service::declareProperty
Property * declareProperty(const std::string &name, T &property, const std::string &doc="none") const
Declare the named property.
Definition: Service.h:215
JemallocProfileSvc::m_nStartFromEvent
int m_nStartFromEvent
Start, End event and counter.
Definition: JemallocProfileSvc.h:47
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:58

JemallocProfileSvc::~JemallocProfileSvc | ( |  | ) |
| virtual

Definition at line 233 of file JemallocProfileSvc.cpp.

233 {}

## Member Function Documentation

void JemallocProfileSvc::dumpProfile | ( |  | ) |
| inline protected

Utility method to dump profile with jemalloc.

Definition at line 220 of file JemallocProfileSvc.cpp.

221 {
222 info() << "Dumping Jemalloc profile at event "
223 << m_eventNumber << endmsg;
224 mallctl("prof.dump", NULL, NULL, NULL, 0);
225
226 }
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:124
mallctl
int mallctl(const char *name, void *oldp, size_t *oldlenp, void *newp, size_t newlen)
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Definition: JemallocProfileSvc.h:50
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

StatusCode JemallocProfileSvc::finalize | ( |  | ) |

Finalizer.

Definition at line 105 of file JemallocProfileSvc.cpp.

105 {
106
107 // unregistering from the IncidentSvc
108 m_incidentSvc->removeListener(this, IncidentType::BeginEvent);
109 m_incidentSvc->removeListener(this, IncidentType::EndEvent);
110 m_incidentSvc.reset();
111 return base_class::finalize();
112 }
JemallocProfileSvc::m_incidentSvc
SmartIF< IIncidentSvc > m_incidentSvc
Pointer to the incident service.
Definition: JemallocProfileSvc.h:61
SmartIF::reset
void reset(TYPE *ptr=nullptr)
Set the internal pointer to the passed one disposing of the old one.
Definition: SmartIF.h:88
IIncidentSvc::removeListener
virtual void removeListener(IIncidentListener *lis, const std::string &type="")=0
Remove listener.

void JemallocProfileSvc::handle | ( | const Incident & | incident | ) |

Destructor.

Definition at line 120 of file JemallocProfileSvc.cpp.

121 {
122 if (IncidentType::BeginEvent == incident.type())
123 {
124 handleBegin();
125 } else if (IncidentType::EndEvent == incident.type())
126 {
127 handleEnd();
128 }
129
130 // If already processing we can ignore the incidents for start
131 if (!m_profiling && m_hasStartIncident)
132 {
133 for(std::string startincident: m_startFromIncidents)
134 {
135 if (startincident == incident.type())
136 {
137 info() << "Starting Jemalloc profile at incident "
138 << incident.type() << endmsg;
139 startProfiling();
140 break;
141 }
142 } // Loop on incidents
143 } // If checking incidents to start
144
145 // If already processing we can ignore the incidents for start
146 if (m_profiling && m_hasStopIncident)
147 {
148 for(std::string stopincident: m_stopAtIncidents)
149 {
150 if (stopincident == incident.type())
151 {
152 info() << "Stopping Jemalloc profile at incident "
153 << incident.type() << endmsg;
154 stopProfiling();
155 break;
156 }
157 } // Loop on incidents
158 } // If checking incidents to stop
159
160
161 }
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:41
JemallocProfileSvc::startProfiling
void startProfiling()
Utility method to start profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:200
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:124
JemallocProfileSvc::m_stopAtIncidents
std::vector< std::string > m_stopAtIncidents
Definition: JemallocProfileSvc.h:52
JemallocProfileSvc::m_hasStopIncident
bool m_hasStopIncident
Definition: JemallocProfileSvc.h:54
JemallocProfileSvc::handleBegin
void handleBegin()
Definition: JemallocProfileSvc.cpp:165
std::string
STL class.
JemallocProfileSvc::stopProfiling
void stopProfiling()
Utility method to stop profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:211
JemallocProfileSvc::m_hasStartIncident
bool m_hasStartIncident
Definition: JemallocProfileSvc.h:53
JemallocProfileSvc::m_startFromIncidents
std::vector< std::string > m_startFromIncidents
Definition: JemallocProfileSvc.h:51
JemallocProfileSvc::handleEnd
void handleEnd()
Definition: JemallocProfileSvc.cpp:177
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:58

void JemallocProfileSvc::handleBegin | ( |  | ) |
| inline protected

Definition at line 165 of file JemallocProfileSvc.cpp.

166 {
167 m_eventNumber += 1;
168
169 if (m_eventNumber == m_nStartFromEvent)
170 {
171 startProfiling();
172 }
173 }
JemallocProfileSvc::startProfiling
void startProfiling()
Utility method to start profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:200
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Definition: JemallocProfileSvc.h:50
JemallocProfileSvc::m_nStartFromEvent
int m_nStartFromEvent
Start, End event and counter.
Definition: JemallocProfileSvc.h:47

void JemallocProfileSvc::handleEnd | ( |  | ) |
| inline protected

Definition at line 177 of file JemallocProfileSvc.cpp.

178 {
179 if (m_profiling
180 && m_eventNumber != m_nStartFromEvent
181 && ((m_eventNumber - m_nStartFromEvent) % m_dumpPeriod == 0))
182 {
183 dumpProfile();
184 }
185
186 if (m_eventNumber == m_nStopAtEvent)
187 {
188 stopProfiling();
189 }
190 }
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Definition: JemallocProfileSvc.h:50
JemallocProfileSvc::m_nStopAtEvent
int m_nStopAtEvent
Definition: JemallocProfileSvc.h:48
JemallocProfileSvc::stopProfiling
void stopProfiling()
Utility method to stop profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:211
JemallocProfileSvc::m_dumpPeriod
int m_dumpPeriod
Definition: JemallocProfileSvc.h:49
JemallocProfileSvc::dumpProfile
void dumpProfile()
Utility method to dump profile with jemalloc.
Definition: JemallocProfileSvc.cpp:220
JemallocProfileSvc::m_nStartFromEvent
int m_nStartFromEvent
Start, End event and counter.
Definition: JemallocProfileSvc.h:47
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:58

StatusCode JemallocProfileSvc::initialize | ( |  | ) |

Initializer.

Definition at line 59 of file JemallocProfileSvc.cpp.

59 {
60 StatusCode sc = base_class::initialize();
61 if (sc.isFailure()) return sc;
62
63 // register to the incident service
64 static const std::string serviceName = "IncidentSvc";
65 m_incidentSvc = serviceLocator()->service(serviceName);
66 if ( ! m_incidentSvc ) {
67 error() << "Cannot retrieve " << serviceName << endmsg;
68 return StatusCode::FAILURE;
69 }
70
71 debug() << "Register to the IncidentSvc" << endmsg;
72 m_incidentSvc->addListener(this, IncidentType::BeginEvent);
73 m_incidentSvc->addListener(this, IncidentType::EndEvent);
74 for (std::string incident: m_startFromIncidents)
75 {
76 m_incidentSvc->addListener(this, incident);
77 }
78 for (std::string incident: m_stopAtIncidents)
79 {
80 m_incidentSvc->addListener(this, incident);
81 }
82
83 // Resetting the event counter
84 m_eventNumber = 0;
85 m_profiling = false;
86
87 // Cache whether we have start/stop incidents
88 m_hasStartIncident = (m_startFromIncidents.size() > 0);
89 m_hasStopIncident = (m_stopAtIncidents.size() > 0);
90
91 // Checking the consistency of the start/stop events
92 if (m_nStartFromEvent == 0 && !m_hasStartIncident
93 && (m_hasStopIncident || m_nStopAtEvent > 0))
94 {
95 info() << "Stop profiling trigger was specified but no start. Defaulting to first events" << endmsg;
96 m_nStartFromEvent = 1;
97 }
98
99
100
101 return StatusCode::SUCCESS;
102 }
Service::serviceLocator
SmartIF< ISvcLocator > & serviceLocator() const override
Retrieve pointer to service locator.
Definition: Service.cpp:324
AnalysisTest.initialize
def initialize()
Definition: AnalysisTest.py:12
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:124
JemallocProfileSvc::m_stopAtIncidents
std::vector< std::string > m_stopAtIncidents
Definition: JemallocProfileSvc.h:52
JemallocProfileSvc::m_hasStopIncident
bool m_hasStopIncident
Definition: JemallocProfileSvc.h:54
merge_files.sc
int sc
Definition: merge_files.py:167
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:86
std::string
STL class.
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Definition: JemallocProfileSvc.h:50
ISvcLocator::service
StatusCode service(const Gaudi::Utils::TypeNameString &name, T *&svc, bool createIf=true)
Templated method to access a service by name.
Definition: ISvcLocator.h:78
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:118
StatusCode::FAILURE
Definition: StatusCode.h:29
StatusCode::SUCCESS
Definition: StatusCode.h:30
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
JemallocProfileSvc::m_nStopAtEvent
int m_nStopAtEvent
Definition: JemallocProfileSvc.h:48
JemallocProfileSvc::m_hasStartIncident
bool m_hasStartIncident
Definition: JemallocProfileSvc.h:53
JemallocProfileSvc::m_startFromIncidents
std::vector< std::string > m_startFromIncidents
Definition: JemallocProfileSvc.h:51
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:127
IIncidentSvc::addListener
virtual void addListener(IIncidentListener *lis, const std::string &type="", long priority=0, bool rethrow=false, bool singleShot=false)=0
Add listener.
JemallocProfileSvc::m_incidentSvc
SmartIF< IIncidentSvc > m_incidentSvc
Pointer to the incident service.
Definition: JemallocProfileSvc.h:61
JemallocProfileSvc::m_nStartFromEvent
int m_nStartFromEvent
Start, End event and counter.
Definition: JemallocProfileSvc.h:47
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:58

void JemallocProfileSvc::startProfiling | ( |  | ) |
| inline protected

Utility method to start profiling with jemalloc.

Definition at line 200 of file JemallocProfileSvc.cpp.

201 {
202 m_profiling = true;
203 info() << "Starting Jemalloc profile at event "
204 << m_eventNumber << endmsg;
205 mallctl("prof.dump", NULL, NULL, NULL, 0);
206 }
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:124
mallctl
int mallctl(const char *name, void *oldp, size_t *oldlenp, void *newp, size_t newlen)
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Definition: JemallocProfileSvc.h:50
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:58

void JemallocProfileSvc::stopProfiling | ( |  | ) |
| inline protected

Utility method to stop profiling with jemalloc.

Definition at line 211 of file JemallocProfileSvc.cpp.

212 {
213 m_profiling = false;
214 dumpProfile();
215 }
JemallocProfileSvc::dumpProfile
void dumpProfile()
Utility method to dump profile with jemalloc.
Definition: JemallocProfileSvc.cpp:220
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:58

## Member Data Documentation

int JemallocProfileSvc::m_dumpPeriod
| private

Definition at line 49 of file JemallocProfileSvc.h.

int JemallocProfileSvc::m_eventNumber
| private

Definition at line 50 of file JemallocProfileSvc.h.

bool JemallocProfileSvc::m_hasStartIncident
| private

Definition at line 53 of file JemallocProfileSvc.h.

bool JemallocProfileSvc::m_hasStopIncident
| private

Definition at line 54 of file JemallocProfileSvc.h.

SmartIF<IIncidentSvc> JemallocProfileSvc::m_incidentSvc
| private

Pointer to the incident service.

Definition at line 61 of file JemallocProfileSvc.h.

int JemallocProfileSvc::m_nStartFromEvent
| private

Start, End event and counter.

Definition at line 47 of file JemallocProfileSvc.h.

int JemallocProfileSvc::m_nStopAtEvent
| private

Definition at line 48 of file JemallocProfileSvc.h.

bool JemallocProfileSvc::m_profiling
| private

Status of the profiling.

Definition at line 58 of file JemallocProfileSvc.h.

std::vector<std::string> JemallocProfileSvc::m_startFromIncidents
| private

Definition at line 51 of file JemallocProfileSvc.h.

std::vector<std::string> JemallocProfileSvc::m_stopAtIncidents
| private

Definition at line 52 of file JemallocProfileSvc.h.

The documentation for this class was generated from the following files:

- GaudiProfiling/src/component/jemalloc/JemallocProfileSvc.h
- GaudiProfiling/src/component/jemalloc/JemallocProfileSvc.cpp